Languages.SomeLanguages (Encode/Decode Utilities (Version 1.10-SNAPSHOT))
Date: 2015-09-13

org.apache.commons.codec.language.bm

## Class Languages.SomeLanguages

- java.lang.Object
- - org.apache.commons.codec.language.bm.Languages.LanguageSet
  - - org.apache.commons.codec.language.bm.Languages.SomeLanguages

- Enclosing class:
    Languages

      public static final class Languages.SomeLanguages
      extends Languages.LanguageSet

  Some languages, explicitly enumerated.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.Set<java.lang.String>` | `languages`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `Languages.SomeLanguages(java.util.Set<java.lang.String> languages)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(java.lang.String language)`
    `java.lang.String` | `getAny()`
    `java.util.Set<java.lang.String>` | `getLanguages()`
    `boolean` | `isEmpty()`
    `boolean` | `isSingleton()`
    `Languages.LanguageSet` | `merge(Languages.LanguageSet other)`
    `Languages.LanguageSet` | `restrictTo(Languages.LanguageSet other)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.commons.codec.language.bm.Languages.LanguageSet

      `from`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### languages

          private final java.util.Set<java.lang.String> languages

  - ### Constructor Detail

    - #### Languages.SomeLanguages

          private Languages.SomeLanguages(java.util.Set<java.lang.String> languages)

  - ### Method Detail

    - #### contains

          public boolean contains(java.lang.String language)

      Specified by:
        `contains` in class `Languages.LanguageSet`

    - #### getAny

          public java.lang.String getAny()

      Specified by:
        `getAny` in class `Languages.LanguageSet`

    - #### getLanguages

          public java.util.Set<java.lang.String> getLanguages()

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in class `Languages.LanguageSet`

    - #### isSingleton

          public boolean isSingleton()

      Specified by:
        `isSingleton` in class `Languages.LanguageSet`

    - #### restrictTo

          public Languages.LanguageSet restrictTo(Languages.LanguageSet other)

      Specified by:
        `restrictTo` in class `Languages.LanguageSet`

    - #### merge

          public Languages.LanguageSet merge(Languages.LanguageSet other)

      Specified by:
        `merge` in class `Languages.LanguageSet`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

commons-codec version 1.10-SNAPSHOT - Copyright © 2002-2015 - Apache Software Foundation